Php74, snuffleupagus, phpize

Your new/first Tips, tricks and tutorial forum.
Post Reply
User avatar
admin
Site Admin
Posts: 30
Joined: March 7th, 2022, 1:09 am

Php74, snuffleupagus, phpize

Post by admin »

About 2 weeks ago I've got an error with my server,
such like this:

Code: Select all

encountered an error: [snuffleupagus][disabled_function] Aborted execution on call of the function
The forum script software from PhpBB working fiine... but can't reach my other App softwares within the sub directory:

Code: Select all

Matomo Anayltics https://jsalfianmarketing.com/matomo
Hesk-Help Desk https://jsalfianmarketing.com/support
Checking my WHM server sytem:

Code: Select all

[root@srv8 ~]# hostnamectl
   Static hostname: srv8.jsalfianmarketing.com
         Icon name: computer-desktop
           Chassis: desktop
        Machine ID: 9d9843c00baa42cfb6fa897f725cdc5e
           Boot ID: e490289790d64f1daa8ea797bd508756
  Operating System: CloudLinux 7.9  (Boris Yegorov)
       CPE OS Name: cpe:/o:cloudlinux:cloudlinux:7.9:beta:server
            Kernel: Linux 3.10.0-962.3.2.lve1.5.81.el7.x86_64
      Architecture: x86-64
[root@srv8 ~]#

[root@srv8 ~]# /usr/local/cpanel/cpanel -V
110.0 (build 12)
[root@srv8 ~]#

[root@srv8 ~]# mysql -V
mysql  Ver 14.14 Distrib 5.7.40, for Linux (x86_64) using  EditLine wrapper
[root@srv8 ~]#

[root@srv8 ~]# repoquery -q --provides ea-php*-php-mysqlnd| grep 'pdo_mysql '
ea-php53-php-pdo_mysql = 1:5.3.29-29.el7.cloudlinux.41
ea-php54-php-pdo_mysql = 1:5.4.45-78.el7.cloudlinux.1
ea-php55-php-pdo_mysql = 1:5.5.38-61.el7.cloudlinux.1
ea-php56-php-pdo_mysql = 1:5.6.40-22.el7.cloudlinux.5
ea-php70-php-pdo_mysql = 1:7.0.33-23.el7.cloudlinux.5
ea-php71-php-pdo_mysql = 1:7.1.33-14.el7.cloudlinux.5
ea-php72-php-pdo_mysql = 1:7.2.34-7.el7.cloudlinux.6
ea-php73-php-pdo_mysql = 1:7.3.33-5.el7.cloudlinux.2
ea-php74-php-pdo_mysql = 1:7.4.33-6.el7.cloudlinux
ea-php80-php-pdo_mysql = 1:8.0.29-1.el7.cloudlinux
ea-php81-php-pdo_mysql = 1:8.1.23-1.el7.cloudlinux
ea-php82-php-pdo_mysql = 1:8.2.10-1.el7.cloudlinux
[root@srv8 ~]#

[root@srv8 ~]# php -v
PHP 7.4.33 (cli) (built: Jun  7 2023 15:55:43) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with the ionCube PHP Loader + ionCube24 v10.4.5, Copyright (c) 2002-2020, by ionCube Ltd.
[root@srv8 ~]#
When I used PHP 7.3 all works well… but when I ugrade to PHP 7.4 many errors happened. PHP 7.4 appears to have some security settings blocking those functions from being used.
Tried to install snuffleupagus and phpize:

Code: Select all

[root@srv8 ~]# git clone https://github.com/jvoisin/snuffleupagus
Cloning into 'snuffleupagus'...
remote: Enumerating objects: 8425, done.
remote: Counting objects: 100% (2391/2391), done.
remote: Compressing objects: 100% (778/778), done.
remote: Total 8425 (delta 1682), reused 2143 (delta 1564), pack-reused 6034
Receiving objects: 100% (8425/8425), 13.24 MiB | 32.36 MiB/s, done.
Resolving deltas: 100% (6184/6184), done.

[root@srv8 ~]# cd snuffleupagus/src
[root@srv8 src]# phpize
-bash: phpize: command not found

[root@srv8 src]# yum install phpize
Loaded plugins: fastestmirror, rhnplugin, universal-hooks
This system is receiving updates from CLN.
Loading mirror speeds from cached hostfile
 * EA4: 208.100.0.204
 * cpanel-addons-production-feed: 208.100.0.204
 * cpanel-plugins: 208.100.0.204
 * cloudlinux-x86_64-server-7: az1-clmirror.a2hosting.com
cloudlinux-x86_64-server-7                                                                                                       | 4.3 kB  00:00:00     
cloudlinux-x86_64-server-7/primary_db                                                                                            |  66 MB  00:00:02     
No package phpize available.
Error: Nothing to do
[root@srv8 src]#
Since I’m using cPanel alongside with CloudLinux…
All the dependency’s and vulnerable’s apps have been resolved by CloudLinux,
I decided to downgrade multi-php version within jsalfianmarketing.com host…
from php7.4 cli to php7.3 cli
and Re-install Matomo-Analytics and Hesk-Helpdesk to the lates stable version…

And looks like working good so far…
Post Reply